<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/room_bottom_dialog_bg"
    android:paddingBottom="24dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_title_height"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/common_title_height"
            android:gravity="start|center_vertical"
            android:includeFontPadding="false"
            android:paddingHorizontal="16dp"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toStartOf="@id/btn_filter"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="10人申请上麦10人申请上麦10人申请上麦" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/btn_filter"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:layout_marginEnd="11dp"
            android:background="@drawable/room_bottom_item_bg"
            android:paddingHorizontal="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_filter"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="start|center_vertical"
                android:includeFontPadding="false"
                android:maxWidth="96dp"
                android:singleLine="true"
                android:text="@string/room_playmate_category_filter"
                android:textColor="@color/white"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="12dp"
                android:layout_height="12dp"
                android:src="@drawable/common_go_white_ic"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/tv_filter"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/v_refresh"
        android:layout_width="match_parent"
        android:layout_height="400dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    <com.adealink.weparty.commonui.widget.CommonEmptyErrorView
        android:id="@+id/v_error_view"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/v_refresh"
        app:layout_constraintEnd_toEndOf="@id/v_refresh"
        app:layout_constraintStart_toStartOf="@id/v_refresh"
        app:layout_constraintTop_toTopOf="@id/v_refresh" />


</androidx.constraintlayout.widget.ConstraintLayout>